Skip to main content
GET
/
organizations
/
{organization}
/
databases
/
{database}
/
branches
/
{branch}
/
bouncers
List bouncers
curl --request GET \
  --url https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/bouncers \
  --header 'Authorization: Bearer <token>'
{
  "current_page": 123,
  "next_page": 123,
  "next_page_url": "<string>",
  "prev_page": 123,
  "prev_page_url": "<string>",
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "sku": {
        "name": "<string>",
        "display_name": "<string>",
        "cpu": "<string>",
        "ram": 123,
        "sort_order": 123
      },
      "target": "primary",
      "replicas_per_cell": 123,
      "created_at": "<string>",
      "updated_at": "<string>",
      "deleted_at": "<string>",
      "actor": {
        "id": "<string>",
        "display_name": "<string>",
        "avatar_url": "<string>"
      },
      "branch": {
        "id": "<string>",
        "name": "<string>",
        "created_at": "<string>",
        "updated_at": "<string>",
        "deleted_at": "<string>"
      },
      "parameters": [
        {
          "id": "<string>",
          "namespace": "pgbouncer",
          "name": "<string>",
          "display_name": "<string>",
          "category": "<string>",
          "description": "<string>",
          "immutable": true,
          "parameter_type": "array",
          "default_value": "<string>",
          "value": "<string>",
          "required": true,
          "created_at": "<string>",
          "updated_at": "<string>",
          "restart": true,
          "max": 123,
          "min": 123,
          "step": 123,
          "url": "<string>",
          "options": [
            "<string>"
          ],
          "actor": {
            "id": "<string>",
            "display_name": "<string>",
            "avatar_url": "<string>"
          }
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

Organization name slug from list_organizations. Example: acme.

database
string
required

Database name slug from list_databases. Example: app-db.

branch
string
required

Branch name from list_branches. Example: main.

Query Parameters

page
integer
default:1

If provided, specifies the page offset of returned results

per_page
integer
default:25

If provided, specifies the number of returned results

Response

Returns bouncers

current_page
integer
required

The current page number

next_page
integer
required

The next page number

next_page_url
string
required

The next page of results

prev_page
integer
required

The previous page number

prev_page_url
string
required

The previous page of results

data
object[]
required